> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a crypto quote

> Use this endpoint to request the current exchange rate of the selected fiat currency-cryptocurrency pair, and the required fees. Enter a fiat currency as the sourceCurrencyCode to buy crypto and enter a crypto currency in that field to sell crypto.



## OpenAPI

````yaml /openapi/crypto-20260203.json post /payments/crypto/quote
openapi: 3.1.0
info:
  title: CRYPTO
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Retail Ramp
    description: ''
  - name: Headless
    description: ''
  - name: Payment
    description: ''
  - name: Session
    description: ''
paths:
  /payments/crypto/quote:
    post:
      tags:
        - Retail Ramp
      summary: Create a crypto quote
      description: >-
        Use this endpoint to request the current exchange rate of the selected
        fiat currency-cryptocurrency pair, and the required fees. Enter a fiat
        currency as the sourceCurrencyCode to buy crypto and enter a crypto
        currency in that field to sell crypto.
      operationId: /crypto-quote-get
      parameters:
        - name: includeSwap
          in: query
          description: >-
            If true, include both direct ramp/offramp quotes and stitched
            ramp+swap/offramp+swap quotes (CRYPTO_PURCHASE_SWAP /
            CRYPTO_SELL_SWAP) in the response. When false, swap is only used as
            a fallback when no direct ramp or offramp providers return quotes.
            Swap quotes are gated by the per-account onrampSwapEnabled /
            offrampSwapEnabled preferences regardless of this flag.
          required: false
          schema:
            type: string
            default: ''
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CryptoQuoteRequest'
            example:
              countryCode: US
              destinationCurrencyCode: BTC
              sourceAmount: 100
              sourceCurrencyCode: USD
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CryptoQuoteResponse20260203'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CryptoQuoteRequest:
      type: object
      properties:
        countryCode:
          type: string
          description: Two-letter country code (ISO 3166-1 alpha-2)
          example: US
          default: US
        customerId:
          type: string
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity.
        destinationCurrencyCode:
          type: string
          description: >-
            Enter a cryptocurrency symbol here if purchasing crypto or a fiat
            currency 3 letter code if selling crypto.
          example: USD or BTC
          minLength: 1
          default: BTC
        externalCustomerId:
          type: string
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity.
        paymentMethodType:
          type: string
          description: >-
            Payment Method Type or SubType


            The paymentMethodType and paymentMethodSubType included here are a
            sample set. Review the [Supported Payment
            Methods](https://www.meld.io/coverage/payment-methods) section to
            view the complete list.
        serviceProviders:
          type: array
          description: >-
            An optional list of Strings representing the Service Providers for
            this Quote.


            Reference [Crypto supported service
            providers](https://www.meld.io/coverage/service-providers) for a
            full list of supported service providers


            If this field is null or an empty list, Meld will get quotes from
            all the service providers linked to the API key used on the request.
          items:
            type: string
            enum:
              - ACROSS
              - AEROPAY
              - AKOYA
              - ALCHEMYPAY
              - APPLEPAY
              - AUTHORIZENET
              - BANXA
              - BILIRA
              - BINANCECONNECT
              - BINANCEPAY
              - BLOCKCHAINDOTCOM
              - BOOMFI
              - BRAINTREE
              - BRALE
              - BTCDIRECT
              - CASHAPP
              - CHECKOUT
              - CIRCLE
              - COINBASEPAY
              - COINFLOW
              - DUENETWORK
              - ELDORADO
              - FINICITY
              - FLASHNET
              - FONBNK
              - GUARDARIAN
              - HARBOUR
              - KOYWE
              - KRYPTONIM
              - MERCURYO
              - MESH
              - MESO
              - MOONPAY
              - MOOV
              - MX
              - NMI
              - NOAH
              - ONMETA
              - ONRAMPMONEY
              - PAYBIS
              - PAYPAL
              - PLAID
              - RAMP
              - REVOLUT
              - ROBINHOOD
              - ROUTERPROTOCOL
              - SALTEDGE
              - SALTEDGEPARTNERS
              - SARDINE
              - SHIFT4
              - SHOPIFY
              - SIMPLEX
              - SKRILLCRYPTO
              - SQUARE
              - STRIPE
              - SUMSUB
              - SWAPPED
              - TANGOCARD
              - TELLER
              - TOPPER
              - TRANSAK
              - TREMENDOUS
              - TRANSFI
              - UNLIMIT
              - UPHOLD
              - WYRE
              - XANPOOL
              - YELLOWCARD
              - YODLEE
        sourceAmount:
          type: number
          description: The source amount for this transaction.
          example: 50
          minimum: 0
          default: 100
        sourceCurrencyCode:
          type: string
          description: >-
            Enter a fiat currency 3 letter code here if purchasing crypto or a
            cryptocurrency symbol if selling crypto.
          example: BTC or USD
          minLength: 1
          default: USD
        subdivision:
          type: string
          description: >-
            subdivision is a optional parameter Only applicable if the country
            code is US or CA.
          example: US-CA
        walletAddress:
          type: string
          description: Your customer's wallet address
      required:
        - countryCode
        - destinationCurrencyCode
        - sourceAmount
        - sourceCurrencyCode
    CryptoQuoteResponse20260203:
      type: object
      description: Crypto quote response (API version 2026-02-03)
      properties:
        quotes:
          type: array
          description: List of quotes
          items:
            $ref: '#/components/schemas/CryptoQuote20260203'
    CryptoQuote20260203:
      type: object
      description: Crypto quote (API version 2026-02-03)
      properties:
        countryCode:
          type: string
          description: Two-letter country code (ISO 3166-1 alpha-2)
        destinationAmount:
          type: number
          description: Destination currency amount to be received for this quote
        destinationAmountWithoutFees:
          type: number
          description: >-
            The fiat amount exchanged when selling crypto, excluding fees. This
            will be deprecated in the future.
        destinationCurrencyCode:
          type: string
          description: 'Code of currency being quoted: BTC, ETH, ...'
        exchangeRate:
          type: number
          description: The exchange rate at the time the request is sent
        fiatAmountWithoutFees:
          type: number
          description: >-
            The fiat amount exchanged when buying or selling crypto, excluding
            fees.
        isNativeAvailable:
          type: boolean
          default: false
          description: >-
            Indicates if native Apple Pay flow is available for this quote
            (Mercuryo specific)
        networkFee:
          type: number
          description: >-
            The network fee applied to a crypto transaction. To ensure that
            transactions are processed on cryptocurrency networks, outgoing
            transactions to external cryptocurrency addresses typically incur a
            "mining" or "network" fee. This fee is paid to cryptocurrency
            miners, which are the systems that process the transactions and
            secure the respective network.
        partnerFee:
          type: number
          description: >-
            The fee amount charged by the partner to process your customer's
            purchase.
        paymentMethodType:
          type: string
          description: Payment Method Type used for this quote
          enum:
            - APPLE_PAY
            - MASTERCARD
            - SEPA
            - VISA
        rampIntelligence:
          description: >-
            A collection of information on how to rank the quotes returned to
            you, based on Meld's scoring algorithms. Read more about this
            [here](https://docs.meld.io/docs/ramp-intelligence).
          allOf:
            - $ref: '#/components/schemas/RampIntelligence'
        serviceProvider:
          type: string
          description: Service Provider used on this quote
          enum:
            - ALCHEMYPAY
            - BANXA
            - BILIRA
            - BINANCECONNECT
            - BINANCEPAY
            - BLOCKCHAINDOTCOM
            - BOOMFI
            - BTCDIRECT
            - COINBASEPAY
            - FONBNK
            - GUARDARIAN
            - KRYPTONIM
            - KOYWE
            - MESH
            - MERCURYO
            - MESO
            - ONMETA
            - ONRAMPMONEY
            - PAYBIS
            - PAYPAL
            - RAMP
            - REVOLUT
            - ROBINHOOD
            - SARDINE
            - SHIFT4
            - SIMPLEX
            - SKRILLCRYPTO
            - STRIPE
            - SWAPPED
            - TOPPER
            - TRANSAK
            - TRANSFI
            - UNLIMIT
            - YELLOWCARD
        sourceAmount:
          type: number
          description: Amount requested + fees
        sourceAmountWithoutFees:
          type: number
          description: >-
            The fiat amount being used to buy crypto, excluding fees. This will
            be deprecated in the future.
        sourceCurrencyCode:
          type: string
          description: Three-letter ISO currency code. Must be a supported currency
        totalFee:
          type: number
          description: The total amount of fees that will be charged.
        transactionFee:
          type: number
          description: >-
            The fee amount charged by the service provider to process your
            customer's purchase
        transactionType:
          type: string
          description: >-
            The type of crypto transaction, which is CRYPTO_PURCHASE or
            CRYPTO_SELL.
    RampIntelligence:
      type: object
      description: 'Ramp intelligence: ramp score and low KYC indicator for the quote'
      properties:
        lowKyc:
          type: boolean
          default: false
          description: >-
            LowKYC indicates if the quote amount is below the provider's low KYC
            threshold, meaning the user may not need to upload documents, which
            can increase conversion. Read more about this feature
            [here](https://docs.meld.io/docs/conversion-routing).
        previouslyUsed:
          type: string
          format: date-time
          description: >-
            Timestamp of previously successful purchase for this customer on
            this ramp
        rampScore:
          type: number
          description: >-
            A numerical score representing the expectation a Customer will
            convert (Ramp score). Read more about this feature
            [here](https://docs.meld.io/docs/conversion-routing).
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````